#!/bin/bash

#Some cleanup
rm -rf install petsc-3.1-p7 src
mkdir install src

#Untar and move petsc to install directory
tar -zxvf  petsc-3.1-p7.tar.gz
mv petsc-3.1-p7/* src/
rm -rf petsc-3.1-p7

#configure
cd src
./config/configure.py  \
	--with-parallel-no \
	--prefix="$ISSM_TIER/externalpackages/petsc/install" \
	--PETSC_ARCH=cygwin-intel \
	--PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
	--with-debugging=0 \
	--with-mpi=0 \
	--download-c-blas-lapack=yes \
	--with-cc='win32fe cl' \
	--with-fc=0 \
	--with-cxx='win32fe cl' \
	--with-clanguage=cxx 

#./config/configure.py  \
# --prefix="$ISSM_TIER/externalpackages/petsc/install" \
# --PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
# --PETSC_ARCH=macosx-gnu \
# --with-mpi-dir=$ISSM_TIER/externalpackages/mpich2/install \
# --with-debugging=0 \
# --with-shared=0 \
# --download-mumps=yes \
# --download-scalapack=yes \
# --download-blacs=yes \
# --download-blas=yes \
# --download-f-blas-lapack=yes \
# --download-plapack=yes \
# --FFLAGS="-I$ISSM_TIER/externalpackages/mpich2/install/include -arch i386" \
# --COPTFLAGS="-march=opteron -O2 -arch i386" \
# --FOPTFLAGS="-march=opteron -O2 -arch i386" \
# --CXXOPTFLAGS="-march=opteron -O2 -arch i386" \
# --download-parmetis=yes

#Compile petsc and install it
make
make install

patch ../install/include/petscfix.h ../configs/4.0/win7/petscfix.h.patch
